Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x
Author Message
majorwintersec
New Member
New Member


Joined: May 21, 2006
Posts: 6

PostPosted: Sun May 21, 2006 3:22 pm Reply with quote

Hello,

We are running on PhpNuke 7.8 patched 2.3. Which version of nukesentinel can we use?

Thank you,
MajorWinters
 
View user's profile Send private message
gregexp
The Mouse Is Extension Of Arm


Joined: Feb 21, 2006
Posts: 1497
Location: In front of a screen....HELP! lol

PostPosted: Sun May 21, 2006 5:42 pm Reply with quote

hmm..
this will not answer ur question but possibly some good advice...upgrade ur patch levels and use the pl6 that just came out.
 
View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number
majorwintersec
PostPosted: Mon May 22, 2006 12:05 am Reply with quote

Oops my mistake we are running phpnuke 7.8 patched 3.2
 
gregexp
PostPosted: Mon May 22, 2006 1:00 am Reply with quote

Then the lastest sentinel is what ud like.
 
majorwintersec
PostPosted: Mon May 22, 2006 1:27 am Reply with quote

Rgr I uploaded everything but the nsnst.php is showing a blank page.
 
majorwintersec
PostPosted: Mon May 22, 2006 4:23 am Reply with quote

Got it working but probably did something wrong.

When I try to enter the admin area it shows a blank page with Access denied instead of the admin login page.

Any advice?
 
majorwintersec
PostPosted: Mon May 22, 2006 4:27 am Reply with quote

Fixed it by uploading a non edited admin.php
 
FireATST
RavenNuke(tm) Development Team


Joined: Jun 12, 2004
Posts: 637
Location: Ohio

PostPosted: Mon May 22, 2006 9:01 am Reply with quote

majorwintersec wrote:
Fixed it by uploading a non edited admin.php


You mean your original admin.php from 7.8?
 
View user's profile Send private message Visit poster's website MSN Messenger ICQ Number
majorwintersec
PostPosted: Mon May 22, 2006 11:25 pm Reply with quote

yep
 
FireATST
PostPosted: Tue May 23, 2006 3:57 am Reply with quote

I would be careful changing files back to the original php-nuke files. It may leave an opening. The changes in files made by chatserv patches are to close known holes. I would suggest reloading the edited admin.php file and getting it to work correctly than putting the original back in. If you get a blank page, enable error reporting and see if it gives you an error message. There are numerous posts here about blank pages after installs. Try a search for blank admin page and see if one helps you correct the problem. If not, then post the error message you receive if there is one, and someone here will know how to correct it.... Very Happy
 
gregexp
PostPosted: Tue May 23, 2006 4:06 pm Reply with quote

Find:
Code:
$checkurl = $_SERVER['REQUEST_URI'];

if((stripos_clone($checkurl,'AddAuthor')) OR (stripos_clone($checkurl,'VXBkYXRlQXV0aG9y')) OR (stripos_clone($checkurl,'QWRkQXV0aG9y')) OR (stripos_clone($checkurl,'UpdateAuthor')) OR (stripos_clone($checkurl, "?admin")) OR (stripos_clone($checkurl, "&admin"))) {
  die("Illegal Operation");
}


Replace with:

Code:
//$checkurl = $_SERVER['REQUEST_URI'];

//if((stripos_clone($checkurl,'AddAuthor')) OR (stripos_clone($checkurl,'VXBkYXRlQXV0aG9y')) OR (stripos_clone($checkurl,'QWRkQXV0aG9y')) OR (stripos_clone($checkurl,'UpdateAuthor')) OR (stripos_clone($checkurl, "?admin")) OR (stripos_clone($checkurl, "&admin"))) {
//  die("Illegal Operation");
//}


Thats it...commenting this out should not bring u to a blank page...not commenting out the die tag will bring u to a blank page Laughing

Now this is in the patched admin.php that im saying edit..not the original unpatched admin file.

In the event that u need further assistance...check Only registered users can see links on this board! Get registered or login!
There youll find 7.8 with patch 3.2 installed...if u just upload the files and overwite ur files...even the ones edited for sentinel..after looking at the patched file from nukescripts..i see the edits for sentinel in there

so it should work by overwriting all files and uploading the sentinel files into ur ftp and running the installer.(in other words...the core file edits seemed to already be made.)

Hope this helps.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©